# Bootstrap tabbed select

Convert a select tag with optgroups into a bootstrap tabbed component.
The value is passed in an input tag.

## Usage

**Basic**
```javascript
$(".bs").bootstrapTabbedSelect();
```

**Advanced**
```javascript
$(".bs").bootstrapTabbedSelect({
        'position':'tabs-below',
        'tabbedSelectId' : 'category',
		'inputId'  : 'category'
});
```

When using multiple bootstrap-tabbed-selects, unique tabbedSelectId and inputId options must be defined for each one

**Options**

* positon: Position of the tabs, the default is 'tabs-left'.
	* '' = top
	* 'tab-left' = left
	* 'tabs-right' = right
	* 'tabs-below' = bottom
* inputID: The id of the input field, the default is 'tabbed-select-input'.
* tabbedSelectId: The id of the tabbed component, the default is 'tabbed-select'.

```html
<script type="text/javascript" src="jquery-1.10.1.min.js"></script>
<script type="text/javascript" src="bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="bootstrap-tabbed-select.min.js"></script>
<link rel="stylesheet" type="text/css" href="bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="bootstrap-tabbed-select.min.css">
<script type="text/javascript">
	$("document").ready(function() {
	    $(".bs").bootstrapTabbedSelect();
	});
</script>
```

## License

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this work except in compliance with the License.
You may obtain a copy of the License in the LICENSE file, or at:

  [http://www.apache.org/licenses/LICENSE-2.0](http://www.apache.org/licenses/LICENSE-2.0)

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
